View Issue Details

IDProjectCategoryView StatusLast Update
0006029Talerexchangepublic2020-01-15 16:33
ReporterFlorian DoldAssigned ToFlorian Dold 
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.6.1Fixed in Version0.6.1 
Summary0006029: exchange should set CORS header
DescriptionTo allow the web extension wallet to be implemented with reduced permissions, the exchange must set the CORS header to allow the "cross-origin" request from the origin "wallet extension background page" to the exchange's origin.

The following header must be set:

  Access-Control-Allow-Origin: *
TagsNo tags attached.

Activities

Christian Grothoff

2020-01-08 10:36

manager   ~0015250

Where precisely? In all HTTP replies? Only in OPTIONS?

Florian Dold

2020-01-14 21:11

manager   ~0015269

Both in the actually request (GET/POST), as well as for OPTIONS requests.

If OPTIONS doesn't respond with the right CORS header, browsers would refuse to even POST to the endpoint.

Florian Dold

2020-01-15 16:33

manager   ~0015274

Finished in fccde2518368b3e7109f87c3f04e3197d20c17e1

Issue History

Date Modified Username Field Change
2020-01-07 17:20 Florian Dold New Issue
2020-01-07 17:20 Florian Dold Status new => assigned
2020-01-07 17:20 Florian Dold Assigned To => Christian Grothoff
2020-01-08 10:36 Christian Grothoff Note Added: 0015250
2020-01-08 10:42 Christian Grothoff Status assigned => resolved
2020-01-08 10:42 Christian Grothoff Resolution open => fixed
2020-01-08 10:42 Christian Grothoff Fixed in Version => 0.6.1
2020-01-08 10:42 Christian Grothoff Target Version => 0.6.1
2020-01-14 21:11 Florian Dold Note Added: 0015269
2020-01-14 21:11 Florian Dold Priority normal => high
2020-01-14 21:11 Florian Dold Status resolved => assigned
2020-01-14 21:12 Florian Dold Resolution fixed => open
2020-01-15 16:32 Florian Dold Assigned To Christian Grothoff => Florian Dold
2020-01-15 16:33 Florian Dold Status assigned => resolved
2020-01-15 16:33 Florian Dold Resolution open => fixed
2020-01-15 16:33 Florian Dold Note Added: 0015274